#! /bin/sh /usr/share/dpatch/dpatch-run
## 10_buildfixes.dpatch by Mike Furr <mfurr@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad chromium-0.9.12~/configure chromium-0.9.12/configure
--- chromium-0.9.12~/configure	2006-03-18 16:36:41.823022701 -0500
+++ chromium-0.9.12/configure	2006-03-18 16:37:04.117957717 -0500
@@ -158,8 +158,8 @@
 ## set up other config.mak variables
 ######################################################################
 GL_LIBS="-lglpng -lGL -lGLU -lm"
-AL_LIBS="-L../support/openal/lib -lopenal -ldl" 
-AL_CFLAGS="-I../support/openal/linux/include -I../support/openal/include"
+AL_LIBS="-lalut -lopenal -ldl" 
+AL_CFLAGS=""
 
 ## write out config.mak
 ######################################################################
diff -urNad chromium-0.9.12~/scripts/Makefile.no-setup chromium-0.9.12/scripts/Makefile.no-setup
--- chromium-0.9.12~/scripts/Makefile.no-setup	2006-03-18 16:36:41.824022518 -0500
+++ chromium-0.9.12/scripts/Makefile.no-setup	2006-03-18 16:36:43.188773686 -0500
@@ -6,7 +6,7 @@
 			./src
 
 			
-all: $(SUPPORT_DIRS) chromium
+all: chromium
 
 chromium: $(CHROMIUM_DIRS) finish
 
diff -urNad chromium-0.9.12~/scripts/configure_functions chromium-0.9.12/scripts/configure_functions
--- chromium-0.9.12~/scripts/configure_functions	2006-03-18 16:36:41.826022154 -0500
+++ chromium-0.9.12/scripts/configure_functions	2006-03-18 16:36:43.190773322 -0500
@@ -216,7 +216,7 @@
 		echo "" > /dev/null
 		return 1
 	else
-		VORBIS_LIBS="-L$LIBVORBISDIR $LIBVORBIS $LIBVORBISFILE"
+		VORBIS_LIBS="$LIBVORBIS $LIBVORBISFILE"
 		return 0
 	fi
 }
diff -urNad chromium-0.9.12~/src/Makefile chromium-0.9.12/src/Makefile
--- chromium-0.9.12~/src/Makefile	2006-03-18 16:36:41.829021607 -0500
+++ chromium-0.9.12/src/Makefile	2006-03-18 16:36:43.192772957 -0500
@@ -8,14 +8,15 @@
 include ../config.mak
 ####### Compiler, tools and options
 
+DATA	=	/usr/share/games/chromium/
 CC	=	gcc
 CXX	=	g++
-CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -O2 -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT
-CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -O2 -DOLD_OPENAL -DAUDIO_OPENAL -D_REENTRANT
-INCPATH	=	-I../support/include -I../support/glpng/include -I/usr/X11R6/include
+CFLAGS	=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -O2 -DAUDIO_OPENAL -D_REENTRANT -DPKGDATADIR=\"$(DATA)\"
+CXXFLAGS=	-pipe $(PKG_CFLAGS) $(AL_CFLAGS) $(SDL_CFLAGS) $(SMPEG_CFLAGS) -Wall -W -g -O2 -DAUDIO_OPENAL -D_REENTRANT -DPKGDATADIR=\"$(DATA)\"
+INCPATH	=	-I/usr/X11R6/include
 LINK	=	g++
 LFLAGS	=	
-LIBS	=	$(SUBLIBS) -L../support/glpng/lib -L/usr/lib -L/usr/X11R6/lib -L/usr/local/lib $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
+LIBS	=	$(SUBLIBS) $(GL_LIBS) $(AL_LIBS) $(SDL_LIBS) $(SMPEG_LIBS) $(VORBIS_LIBS)
 MOC	=	$(QTDIR)/bin/moc
 UIC	=	$(QTDIR)/bin/uic
 
diff -urNad chromium-0.9.12~/src/NCString.cpp chromium-0.9.12/src/NCString.cpp
--- chromium-0.9.12~/src/NCString.cpp	2006-03-18 16:36:41.831021242 -0500
+++ chromium-0.9.12/src/NCString.cpp	2006-03-18 16:36:43.194772593 -0500
@@ -1,6 +1,7 @@
 #include "NCString.h"
 
 #include <stdio.h>
+#include <stdarg.h>
 #include <ctype.h>
 #include <stdlib.h>
 #include <string.h>
